import { createRouter, createWebHistory, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import BrandSearch from '../views/BrandSearch.vue'
import RtspStream from '../views/RtspStream.vue'

const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView,
    },
    {
      path: '/brand-search',
      name: 'BrandSearch',
      component: BrandSearch,
    },
    {
      path: '/rtsp-stream',
      name: 'RtspStream',
      component: RtspStream,
    },
  ]
})

export default router
